Page MenuHomePhabricator

[PowerPC] Implement the 128-bit Vector Divide Extended Builtins in Clang/LLVM
ClosedPublic

Authored by amyk on Sep 15 2020, 4:24 PM.

Details

Summary

This patch implements the 128-bit vector divide extended builtins in Clang/LLVM.
These builtins map to the vdivesq and vdiveuq instructions respectively.

Diff Detail

Event Timeline

amyk created this revision.Sep 15 2020, 4:24 PM
Herald added a project: Restricted Project. · View Herald TranscriptSep 15 2020, 4:24 PM
amyk requested review of this revision.Sep 15 2020, 4:24 PM
Conanap requested changes to this revision.Sep 15 2020, 7:44 PM

Looks like there's some unit test failures; could you double check?

This revision now requires changes to proceed.Sep 15 2020, 7:44 PM
Conanap accepted this revision.Sep 15 2020, 8:59 PM

LGTM

This revision is now accepted and ready to land.Sep 15 2020, 8:59 PM
amyk added a comment.Sep 16 2020, 7:20 AM

Looks like there's some unit test failures; could you double check?

We discussed offline; I've tested this again afterwards and looked into failures. Unit tests failures are not a result of this patch.

This revision was landed with ongoing or failed builds.Sep 22 2020, 9:32 AM
This revision was automatically updated to reflect the committed changes.